/**
 * 
 */
package com.platomix.datasafe.model;

import org.springframework.context.ApplicationEvent;

/**
 * @author wookvn
 *
 */
public class EventDecode extends ApplicationEvent {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long taskId;
	
	private String srcFilePath;

	public EventDecode(Object source, Long taskId, String srcFilePath) {
		super(source);
		this.taskId = taskId;
		this.srcFilePath = srcFilePath;
	}

	public Long getTaskId() {
		return taskId;
	}

	public String getSrcFilePath() {
		return srcFilePath;
	}

}
